Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::SubScorer Class Reference

`#include <BooleanScorer.h>`

Inheritance diagram for Lucene::SubScorer:

## Public Member Functions

| SubScorer (const ScorerPtr &scorer, bool required, bool prohibited, const CollectorPtr &collector, const SubScorerPtr &next)
virtual | ~SubScorer ()
virtual String | getClassName ()
boost::shared_ptr< SubScorer > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

ScorerPtr | scorer
bool | required
bool | prohibited
CollectorPtr | collector
SubScorerPtr | next

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ SubScorer()

Lucene::SubScorer::SubScorer | ( | const ScorerPtr & | scorer,
|  | bool | required,
|  | bool | prohibited,
|  | const CollectorPtr & | collector,
|  | const SubScorerPtr & | next )

References collector, next, prohibited, required, and scorer.

Referenced by _getClassName().

## ◆ ~SubScorer()

virtual Lucene::SubScorer::~SubScorer | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::SubScorer::_getClassName | ( |  | ) |

inline static

References SubScorer().

## ◆ getClassName()

virtual String Lucene::SubScorer::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< SubScorer > Lucene::SubScorer::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ collector

CollectorPtr Lucene::SubScorer::collector

Referenced by SubScorer().

## ◆ next

SubScorerPtr Lucene::SubScorer::next

Referenced by SubScorer().

## ◆ prohibited

bool Lucene::SubScorer::prohibited

Referenced by SubScorer().

## ◆ required

bool Lucene::SubScorer::required

Referenced by SubScorer().

## ◆ scorer

ScorerPtr Lucene::SubScorer::scorer

Referenced by SubScorer().

The documentation for this class was generated from the following file:

- BooleanScorer.h

clucene.sourceforge.net